Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -1064,74 +992,14 @@
                 << "[066] EVICTED SLOT              = " << m_cpt_slot_inval << std::endl
                 << std::endl;
+#endif
         }
 
-        if (stats) {
-            std::cout << "----------------------------------" << std::dec << std::endl;
-            std::cout << "---      Calculated Stats      ---" << std::dec << std::endl;
-            std::cout << "----------------------------------" << std::dec << std::endl;
-            std::cout
-                << "[100] READ TOTAL            = " << m_cpt_read_miss_local + m_cpt_read_miss_remote << std::endl
-                << "[101] READ RATE             = " << (double) (m_cpt_read_miss_local + m_cpt_read_miss_remote) / m_cpt_cycles << std::endl
-                << "[102] LOCAL READ RATE       = " << (double) m_cpt_read_miss_local / m_cpt_cycles << std::endl
-                << "[103] REMOTE READ RATE      = " << (double) m_cpt_read_miss_remote / m_cpt_cycles << std::endl
-                << "[104] READ MISS RATE        = " << (double) m_cpt_read_miss / (m_cpt_read_miss_local + m_cpt_read_miss_remote) << std::endl
-                << "[105] GETM MISS TOTAL       = " << m_cpt_getm_miss_local + m_cpt_getm_miss_remote << std::endl
-                << "[106] GETM MISS RATE        = " << (double) (m_cpt_getm_miss_local + m_cpt_getm_miss_remote) / m_cpt_cycles << std::endl
-                << "[107] LOCAL GETM MISS RATE  = " << (double) m_cpt_getm_miss_local / m_cpt_cycles << std::endl
-                << "[108] REMOTE GETM MISS RATE = " << (double) m_cpt_getm_miss_remote / m_cpt_cycles << std::endl
-                << "[109] GETM HIT TOTAL        = " << m_cpt_getm_hit_local + m_cpt_getm_hit_remote << std::endl
-                << "[110] GETM HIT RATE         = " << (double) (m_cpt_getm_hit_local + m_cpt_getm_hit_remote) / m_cpt_cycles << std::endl
-                << "[111] LOCAL GETM HIT RATE   = " << (double) m_cpt_getm_hit_local / m_cpt_cycles << std::endl
-                << "[112] REMOTE GETM HIT RATE  = " << (double) m_cpt_getm_hit_remote / m_cpt_cycles << std::endl
-
-                << "[113] GETM TOTAL            = " << m_cpt_getm_hit_local + m_cpt_getm_hit_remote + m_cpt_getm_miss_remote + m_cpt_getm_miss_local << std::endl
-
-                << "[114] GETM MISS RATE        = " << (double) m_cpt_read_miss / (m_cpt_getm_hit_local + m_cpt_getm_hit_remote + m_cpt_getm_miss_remote + m_cpt_getm_miss_local) << std::endl
- 
-                << std::endl
-                << "[115] WRITE TOTAL           = " << m_cpt_write_local + m_cpt_write_remote << std::endl
-                << "[116] WRITE RATE            = " << (double) (m_cpt_write_local + m_cpt_write_remote) / m_cpt_cycles << std::endl
-                << "[117] LOCAL WRITE RATE      = " << (double) m_cpt_write_local / m_cpt_cycles << std::endl
-                << "[118] REMOTE WRITE RATE     = " << (double) m_cpt_write_remote / m_cpt_cycles << std::endl
-                << "[119] WRITE MISS RATE       = " << (double) m_cpt_write_miss / (m_cpt_write_local + m_cpt_write_remote) << std::endl
-                << "[120] WRITE BURST TOTAL     = " << m_cpt_write_flits_local + m_cpt_write_flits_remote << std::endl
-                << "[121] WRITE BURST AVERAGE   = " << (double) (m_cpt_write_flits_local + m_cpt_write_flits_remote) / (m_cpt_write_local + m_cpt_write_remote) << std::endl
-                << "[122] LOCAL WRITE BURST AV. = " << (double) m_cpt_write_flits_local / (m_cpt_write_local + m_cpt_write_remote) << std::endl
-                << "[123] REMOTE WRITE BURST AV = " << (double) m_cpt_write_flits_remote / (m_cpt_write_local + m_cpt_write_remote) << std::endl
-                << std::endl
-                << "[124] UPDATE RATE                = " << (double) m_cpt_update / m_cpt_cycles << std::endl
-                << "[125] AV. UPDATE PER UP REQ      = " << (double) (m_cpt_update_local + m_cpt_update_remote) / m_cpt_update << std::endl
-                << "[126] AV. LOC UPDT PER UP REQ    = " << (double) m_cpt_update_local / m_cpt_update << std::endl
-                << "[127] AV. REMOTE UPDT PER UP REQ = " << (double) m_cpt_update_remote / m_cpt_update << std::endl
-                << std::endl
-                << "[128] INVAL MULTICAST RATE  = " << (double) m_cpt_minval / m_cpt_cycles << std::endl
-                << "[129] AVE. INVAL PER M_INV  = " << (double) (m_cpt_minval_local + m_cpt_minval_remote) / m_cpt_minval << std::endl
-                << "[130] AV. LOC INV PER M_INV = " << (double) m_cpt_minval_local / m_cpt_minval << std::endl
-                << "[131] AV. REM INV PER M_INV = " << (double) m_cpt_minval_remote / m_cpt_minval << std::endl
-                << std::endl
-                << "[132] INVAL BROADCAST RATE  = " << (double) m_cpt_binval / m_cpt_cycles << std::endl
-                << "[133] WRITE DIRTY RATE      = " << (double) m_cpt_write_dirty / m_cpt_cycles << std::endl
-                << std::endl
-                << "[134] CLEANUP RATE          = " << (double) (m_cpt_cleanup_local + m_cpt_cleanup_remote) / m_cpt_cycles << std::endl
-                << "[135] LOCAL CLEANUP RATE    = " << (double) m_cpt_cleanup_local / m_cpt_cycles << std::endl
-                << "[136] REMOTE CLEANUP RATE   = " << (double) m_cpt_cleanup_remote / m_cpt_cycles << std::endl
-                << "[137] LL RATE               = " << (double) (m_cpt_ll_local + m_cpt_ll_remote) / m_cpt_cycles << std::endl
-                << "[138] LOCAL LL RATE         = " << (double) m_cpt_ll_local / m_cpt_cycles << std::endl
-                << "[139] REMOTE LL RATE        = " << (double) m_cpt_ll_remote / m_cpt_cycles << std::endl
-                << "[140] SC RATE               = " << (double) (m_cpt_sc_local + m_cpt_sc_remote) / m_cpt_cycles << std::endl
-                << "[141] LOCAL SC RATE         = " << (double) m_cpt_sc_local / m_cpt_cycles << std::endl
-                << "[142] REMOTE SC RATE        = " << (double) m_cpt_sc_remote / m_cpt_cycles << std::endl
-                << "[143] CAS RATE              = " << (double) (m_cpt_cas_local + m_cpt_cas_remote) / m_cpt_cycles << std::endl
-                << "[144] LOCAL CAS RATE        = " << (double) m_cpt_cas_local / m_cpt_cycles << std::endl
-                << "[145] REMOTE CAS RATE       = " << (double) m_cpt_cas_remote / m_cpt_cycles << std::endl
-                << "[124] MULTI ACK RATE        = " << (double) (m_cpt_multi_ack_hit + m_cpt_multi_ack_miss) / m_cpt_cycles << std::endl
-                << std::endl;
-        }
+        // No more calculated stats
     }
 
 
     /////////////////////////////////
-    tmpl(/**/) ::~VciMemCache()
-        /////////////////////////////////
+    tmpl(/**/)::~VciMemCache()
+    /////////////////////////////////
     {
         delete [] m_seg;
@@ -1168,10 +1036,10 @@
     //////////////////////////////////
     tmpl(void) ::transition()
-        //////////////////////////////////
+    //////////////////////////////////
     {
         using soclib::common::uint32_log2;
 
         // RESET
-        if(! p_resetn.read())
+        if (! p_resetn.read())
         {
 
@@ -1317,152 +1185,64 @@
 
             // Activity counters
-            m_cpt_reset_count               = 0 ;                    
-            m_cpt_read_miss_local           = 0 ; 
-            m_cpt_read_miss_remote          = 0 ; 
-            m_cpt_read_miss_cost            = 0 ;     
-                                                                                     
-            m_cpt_getm_miss_local           = 0 ;     
-            m_cpt_getm_miss_remote          = 0 ;     
-                                                                                             
-            m_cpt_getm_hit_local            = 0 ;     
-            m_cpt_getm_hit_remote           = 0 ;         
-            m_cpt_getm_cost                 = 0 ; 
-                                                                                                 
-            m_cpt_write_local               = 0 ;     
-            m_cpt_write_remote              = 0 ;     
-            m_cpt_write_flits_local         = 0 ;         
-            m_cpt_write_flits_remote        = 0 ;         
-            m_cpt_write_cost                = 0 ;    
-
-            m_cpt_ll_local                  = 0 ;         
-            m_cpt_ll_remote                 = 0 ;             
-            m_cpt_ll_cost                   = 0 ;         
-                                                                                                
-            m_cpt_sc_local                  = 0 ;                             
-            m_cpt_sc_remote                 = 0 ;                             
-            m_cpt_sc_cost                   = 0 ;                             
-                                                                                             
-            m_cpt_cas_local                 = 0 ;                                 
-            m_cpt_cas_remote                = 0 ;                                     
-            m_cpt_cas_cost                  = 0 ;                                 
-                                                                                         
-            m_cpt_update                    = 0 ;                     
-            m_cpt_update_local              = 0 ;                             
-            m_cpt_update_remote             = 0 ;                             
-            m_cpt_update_cost               = 0 ;                         
-                                                                                        
-            m_cpt_minval                    = 0 ;                 
-            m_cpt_minval_local              = 0 ;                         
-            m_cpt_minval_remote             = 0 ;                     
-            m_cpt_minval_cost               = 0 ;                         
-                                                                                         
-            m_cpt_binval                    = 0 ;                     
-                                                                                                 
-            m_cpt_cleanup_local             = 0 ;                             
-            m_cpt_cleanup_remote            = 0 ;                         
-            m_cpt_cleanup_with_data         = 0 ;                             
-            m_cpt_cleanup_cost              = 0 ;                         
-                                                                                         
-            m_cpt_multi_ack_miss            = 0 ;                         
-            m_cpt_multi_ack_hit             = 0 ;                     
-            m_cpt_multi_ack_hit_with_data   = 0 ;                             
-                                                                                         
-                                                     
-            m_cpt_read_miss                 = 0 ;                                     
-            m_cpt_getm_miss                 = 0 ;                                 
-            m_cpt_getm_broadcast            = 0 ;                                     
-            m_cpt_getm_minval               = 0 ;                                     
-            m_cpt_write_miss                = 0 ;                                             
-            m_cpt_write_dirty               = 0 ;                                             
-            m_cpt_write_broadcast           = 0 ;                                                 
-            m_cpt_write_minval              = 0 ;                                         
-            m_cpt_cas_broadcast             = 0 ;                                                 
-            m_cpt_cas_minval                = 0 ;                                                                 
-            m_cpt_cas_miss                  = 0 ;                                                 
-                                                                                         
-            m_cpt_read_locked_rb            = 0 ;                                                                 
-            m_cpt_cas_locked_rb             = 0 ;                                                                 
-            m_cpt_write_locked_rb           = 0 ;                                                                                             
-                                                                                         
-            m_cpt_trt_rb                    = 0 ;                                                                 
-            m_cpt_trt_full                  = 0 ;                                                             
-            m_cpt_put                       = 0 ;                                                             
-            m_cpt_get                       = 0 ;                                                             
-                                                                                             
-            m_cpt_read_fsm_dir_lock         = 0 ;                                                                         
-            m_cpt_read_fsm_n_dir_lock       = 0 ;                                                                         
-            m_cpt_write_fsm_dir_lock        = 0 ;                                                                 
-            m_cpt_write_fsm_n_dir_lock      = 0 ;                                                                                         
-            m_cpt_xram_rsp_fsm_dir_lock     = 0 ;                                                                             
-            m_cpt_xram_rsp_fsm_n_dir_lock   = 0 ;                                                                 
-            m_cpt_cas_fsm_dir_lock          = 0 ;                                                         
-            m_cpt_cas_fsm_n_dir_lock        = 0 ;                                             
-            m_cpt_cleanup_fsm_dir_lock      = 0 ;                                                         
-            m_cpt_cleanup_fsm_n_dir_lock    = 0 ;                                                     
-            m_cpt_multi_ack_fsm_dir_lock    = 0 ;                                                 
-            m_cpt_multi_ack_fsm_n_dir_lock  = 0 ;                                                     
-                                                                                            
-            m_cpt_dir_unused                = 0 ;                                                             
-            m_cpt_read_fsm_dir_used         = 0 ;                                                             
-            m_cpt_write_fsm_dir_used        = 0 ;                                                     
-            m_cpt_cas_fsm_dir_used          = 0 ;                                             
-            m_cpt_xram_rsp_fsm_dir_used     = 0 ;                                                 
-            m_cpt_cleanup_fsm_dir_used      = 0 ;                                                 
-            m_cpt_multi_ack_fsm_dir_used    = 0 ;                                                         
-                                                                                                                        
-            m_cpt_read_fsm_trt_lock         = 0 ;                                                 
-            m_cpt_write_fsm_trt_lock        = 0 ;                                                         
-            m_cpt_cas_fsm_trt_lock          = 0 ;                                                         
-            m_cpt_xram_rsp_fsm_trt_lock     = 0 ;                                                     
-            m_cpt_ixr_fsm_trt_lock          = 0 ;                                                     
-                                                                                         
-            m_cpt_read_fsm_n_trt_lock       = 0 ;                                             
-            m_cpt_write_fsm_n_trt_lock      = 0 ;                                                         
-            m_cpt_cas_fsm_n_trt_lock        = 0 ;                                                     
-            m_cpt_xram_rsp_fsm_n_trt_lock   = 0 ;                                         
-            m_cpt_ixr_cmd_fsm_n_trt_lock    = 0 ;                                                             
-            m_cpt_ixr_rsp_fsm_n_trt_lock    = 0 ;                                                     
-                                                                                         
-            m_cpt_read_fsm_trt_used         = 0 ;                                                     
-            m_cpt_write_fsm_trt_used        = 0 ;                                                         
-            m_cpt_cas_fsm_trt_used          = 0 ;                                             
-            m_cpt_xram_rsp_fsm_trt_used     = 0 ;                                                     
-            m_cpt_ixr_cmd_fsm_trt_used      = 0 ;                                                 
-            m_cpt_ixr_rsp_fsm_trt_used      = 0 ;                                                     
-            m_cpt_cleanup_fsm_trt_used      = 0 ;                                             
-                                                                                                                 
-            m_cpt_trt_unused                = 0 ;                                                 
-                                                                                        
-            m_cpt_cleanup_fsm_ivt_lock      = 0 ;                                             
-            m_cpt_cleanup_fsm_n_ivt_lock    = 0 ;                                                         
-                                                                                         
-            m_cpt_multi_ack_fsm_ivt_lock    = 0 ;                                                 
-            m_cpt_multi_ack_fsm_n_ivt_lock  = 0 ;                                             
-                                                                                        
-            m_cpt_ivt_unused                = 0 ;                             
-                                                                                         
-            m_cpt_read_fsm_heap_lock        = 0 ;                                                     
-            m_cpt_write_fsm_heap_lock       = 0 ;                                                 
-            m_cpt_cas_fsm_heap_lock         = 0 ;                                             
-            m_cpt_cleanup_fsm_heap_lock     = 0 ;                                                         
-            m_cpt_xram_rsp_fsm_heap_lock    = 0 ;                                                             
-            m_cpt_multi_ack_fsm_heap_lock   = 0 ;                                                 
-                                                                                        
-            m_cpt_read_fsm_n_heap_lock      = 0 ;                                                 
-            m_cpt_write_fsm_n_heap_lock     = 0 ;                                             
-            m_cpt_cas_fsm_n_heap_lock       = 0 ;                                                     
-            m_cpt_cleanup_fsm_n_heap_lock   = 0 ;                                                     
-            m_cpt_xram_rsp_fsm_n_heap_lock  = 0 ;                                                         
-            m_cpt_multi_ack_fsm_n_heap_lock = 0 ;                                                         
-                                                                                                                     
-            m_cpt_read_fsm_heap_used        = 0 ;                                                 
-            m_cpt_write_fsm_heap_used       = 0 ;                                                 
-            m_cpt_cas_fsm_heap_used         = 0 ;                                             
-            m_cpt_cleanup_fsm_heap_used     = 0 ;                                         
-            m_cpt_xram_rsp_fsm_heap_used    = 0 ;                                         
-            m_cpt_multi_ack_fsm_heap_used   = 0 ;                                                     
-                                                                                         
-            m_cpt_heap_unused               = 0 ;                     
-            m_cpt_slot_inval                = 0 ;
+            m_cpt_reset_count               = 0;
+            m_cpt_read_local                = 0;
+            m_cpt_read_remote               = 0;
+            m_cpt_read_cost                 = 0;
+
+            m_cpt_write_local               = 0;
+            m_cpt_write_remote              = 0;
+            m_cpt_write_flits_local         = 0;
+            m_cpt_write_flits_remote        = 0;
+            m_cpt_write_cost                = 0;
+
+            m_cpt_ll_local                  = 0;
+            m_cpt_ll_remote                 = 0;
+            m_cpt_ll_cost                   = 0;
+
+            m_cpt_sc_local                  = 0;
+            m_cpt_sc_remote                 = 0;
+            m_cpt_sc_cost                   = 0;
+
+            m_cpt_cas_local                 = 0;
+            m_cpt_cas_remote                = 0;
+            m_cpt_cas_cost                  = 0;
+
+            m_cpt_minval                    = 0;
+            m_cpt_minval_local              = 0;
+            m_cpt_minval_remote             = 0;
+            m_cpt_minval_cost               = 0;
+
+            m_cpt_binval                    = 0;
+            m_cpt_write_broadcast           = 0;
+            m_cpt_getm_broadcast            = 0;
+
+            m_cpt_cleanup_local             = 0;
+            m_cpt_cleanup_remote            = 0;
+            m_cpt_cleanup_cost              = 0;
+            m_cpt_cleanup_data_local        = 0;
+            m_cpt_cleanup_data_remote       = 0;
+            m_cpt_cleanup_data_cost         = 0;
+
+            m_cpt_read_miss                 = 0;
+            m_cpt_write_miss                = 0;
+            m_cpt_write_dirty               = 0;
+            m_cpt_getm_miss                 = 0;
+
+            m_cpt_getm_local                = 0;
+            m_cpt_getm_remote               = 0;
+            m_cpt_getm_cost                 = 0;
+
+            m_cpt_inval_ro_local            = 0;
+            m_cpt_inval_ro_remote           = 0;
+            m_cpt_inval_ro_cost             = 0;
+
+            m_cpt_trt_rb                    = 0;
+            m_cpt_trt_full                  = 0;
+            m_cpt_put                       = 0;
+            m_cpt_get                       = 0;
+
+            m_cpt_heap_unused               = 0;
+            m_cpt_slot_inval                = 0;
+
             return;
         }
@@ -1515,5 +1295,5 @@
 
 #if DEBUG_MEMC_GLOBAL
-        if(m_debug)
+        if (m_debug)
         {
             std::cout
@@ -1565,9 +1345,9 @@
             //////////////////
             case TGT_CMD_IDLE:     // waiting a VCI command (RAM or CONFIG)
-                if(p_vci_tgt.cmdval)
+                if (p_vci_tgt.cmdval)
                 {
 
 #if DEBUG_MEMC_TGT_CMD
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " TGT_CMD_IDLE> Receive command from srcid "
@@ -1587,5 +1367,5 @@
                         {
                             found = true;
-                            if ( m_seg[seg_id]->special() ) config = true;
+                            if (m_seg[seg_id]->special() ) config = true;
                         }
                     }
@@ -1593,14 +1373,14 @@
                     if (!found)                /////////// out of segment error
                     {
-                        r_tgt_cmd_fsm   = TGT_CMD_ERROR;
-                    }
-                    else if ( config )              /////////// configuration command
+                        r_tgt_cmd_fsm = TGT_CMD_ERROR;
+                    }
+                    else if (config )              /////////// configuration command
                     {
                         if (!p_vci_tgt.eop.read()) r_tgt_cmd_fsm = TGT_CMD_ERROR;
-                        else                            r_tgt_cmd_fsm = TGT_CMD_CONFIG;
+                        else                       r_tgt_cmd_fsm = TGT_CMD_CONFIG;
                     }
                     else                            //////////// memory access 
                     {
-                        if ( p_vci_tgt.cmd.read() == vci_param_int::CMD_READ )
+                        if (p_vci_tgt.cmd.read() == vci_param_int::CMD_READ)
                         {
                             // check that the pktid is either :
@@ -1615,5 +1395,5 @@
                             r_tgt_cmd_fsm = TGT_CMD_READ;
                         }
-                        else if(p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)
+                        else if (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)
                         {
                           // check that the pktid is TYPE_WRITE
@@ -1622,5 +1402,5 @@
                             r_tgt_cmd_fsm = TGT_CMD_WRITE;
                         }
-                        else if(p_vci_tgt.cmd.read() == vci_param_int::CMD_LOCKED_READ)
+                        else if (p_vci_tgt.cmd.read() == vci_param_int::CMD_LOCKED_READ)
                         {
                             // check that the pktid is TYPE_LL
@@ -1631,5 +1411,5 @@
                             r_tgt_cmd_fsm = TGT_CMD_READ;
                         }
-                        else if(p_vci_tgt.cmd.read() == vci_param_int::CMD_NOP)
+                        else if (p_vci_tgt.cmd.read() == vci_param_int::CMD_NOP)
                         {
                             // check that the pktid is either :
@@ -1642,6 +1422,6 @@
                                     "The type specified in the pktid field is incompatible with the NOP CMD");
 
-                            if((p_vci_tgt.pktid.read() & 0x7) == TYPE_CAS) r_tgt_cmd_fsm = TGT_CMD_CAS;
-                            else                                           r_tgt_cmd_fsm = TGT_CMD_WRITE; 
+                            if ((p_vci_tgt.pktid.read() & 0x7) == TYPE_CAS) r_tgt_cmd_fsm = TGT_CMD_CAS;
+                            else                                            r_tgt_cmd_fsm = TGT_CMD_WRITE; 
                         }
                         else
@@ -1657,8 +1437,8 @@
 
                 // wait if pending request
-                if(r_tgt_cmd_to_tgt_rsp_req.read()) break;
+                if (r_tgt_cmd_to_tgt_rsp_req.read()) break;
 
                 // consume all the command packet flits before sending response error
-                if ( p_vci_tgt.cmdval and p_vci_tgt.eop )
+                if (p_vci_tgt.cmdval and p_vci_tgt.eop)
                 {
                     r_tgt_cmd_to_tgt_rsp_srcid = p_vci_tgt.srcid.read();
@@ -1670,5 +1450,5 @@
 
 #if DEBUG_MEMC_TGT_CMD
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " TGT_CMD_ERROR> Segmentation violation:"
@@ -1885,5 +1665,5 @@
                     uint32_t wdata = p_vci_tgt.wdata.read();     
 
-                    if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_READ)         // get lock
+                    if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_READ)         // get lock
                             and (cell == MEMC_LOCK) )
                     {
@@ -1893,5 +1673,5 @@
                         r_config_lock    = true;
                     }
-                    else if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)  // release lock
+                    else if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)  // release lock
                             and (cell == MEMC_LOCK))
                     {
@@ -1900,5 +1680,5 @@
                         r_config_lock    = false;
                     }
-                    else if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set addr_lo
+                    else if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set addr_lo
                             and (cell == MEMC_ADDR_LO))
                     {
@@ -1911,5 +1691,5 @@
                             ((addr_t)wdata);
                     }
-                    else if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set addr_hi
+                    else if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set addr_hi
                             and (cell == MEMC_ADDR_HI))
                     {
@@ -1919,5 +1699,5 @@
                             (((addr_t) wdata) << 32);
                     }
-                    else if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set buf_lines
+                    else if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set buf_lines
                             and (cell == MEMC_BUF_LENGTH))
                     {
@@ -1929,5 +1709,5 @@
                         r_config_rsp_lines  = 0;
                     }
-                    else if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set cmd type
+                    else if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_WRITE)   // set cmd type
                             and (cell == MEMC_CMD_TYPE))
                     {
@@ -1945,8 +1725,8 @@
                     }
 
-                    if ( need_rsp )
+                    if (need_rsp )
                     {
                         // blocked if previous pending request to TGT_RSP FSM
-                        if ( r_tgt_cmd_to_tgt_rsp_req.read() ) break;
+                        if (r_tgt_cmd_to_tgt_rsp_req.read() ) break;
 
                         r_tgt_cmd_to_tgt_rsp_srcid = p_vci_tgt.srcid.read();
@@ -1964,5 +1744,5 @@
 
 #if DEBUG_MEMC_TGT_CMD
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " TGT_CMD_CONFIG> Configuration request:"
                             << " address = " << std::hex << p_vci_tgt.address.read()
@@ -1978,5 +1758,5 @@
 
                 // check that the read does not cross a cache line limit.
-                if ( ((m_x[(addr_t) p_vci_tgt.address.read()]+ (p_vci_tgt.plen.read() >>2)) > 16) and
+                if (((m_x[(addr_t) p_vci_tgt.address.read()]+ (p_vci_tgt.plen.read() >>2)) > 16) and
                         (p_vci_tgt.cmd.read() != vci_param_int::CMD_LOCKED_READ))
                 {
@@ -1986,5 +1766,5 @@
                 }
                 // check single flit
-                if(!p_vci_tgt.eop.read())
+                if (!p_vci_tgt.eop.read())
                 {
                     std::cout << "VCI_MEM_CACHE ERROR " << name() << " TGT_CMD_READ state"
@@ -1993,5 +1773,5 @@
                 } 
                 // check plen for LL
-                if ( (p_vci_tgt.cmd.read() == vci_param_int::CMD_LOCKED_READ) and 
+                if ((p_vci_tgt.cmd.read() == vci_param_int::CMD_LOCKED_READ) and 
                         (p_vci_tgt.plen.read() != 8) )
                 {
